html, body {
    font-family: 'Courier New', Courier, monospace;
    font-weight: 600;
    margin: 0 !important;
    padding: 0 !important;
}

h1, h2 {
    margin-top: 0;
}

button {
    font-family: 'Courier New', Courier, monospace;
    font-weight: 600;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

table {
    border-collapse: collapse;
    width: 100%;
}

table td, table th {
    border: 1px solid #ddd;
    padding: 8px;
}

table tr:nth-child(even){background-color: #f2f2f2;}

table tr:hover {background-color: #ddd;}

table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: gray;
    color: white;
}

#droneCanvas {
    position: absolute;
    left: 0;
    top: 0;
    background-color: lightgray;
    overflow: hidden;
}

.container {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.center-container {
    width: 100%;
    display: flex;
    justify-content: center;
}

.menu {
    width: 600px;
    padding: 2rem;
    border-radius: 2rem;

    background-color: white;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;

    z-index: 10;
}

.top-controls {
    position: absolute;
    top: 0;
    right: 0;
    padding: 1rem;
    cursor: pointer;
    font-size: 1.5rem;
    z-index: 10;

    display: flex;
    flex-direction: column;
    align-items: flex-end;
}


.spacer {
    width: 1rem;
}

.hide {
    display: none;
}

.warning {
    display: flex;
    align-items: center;
    padding: 1rem;
    border-radius: 1rem;
    background-color: #efa5a5;
}

.warning-icon {
    font-size: 2rem;
    padding-right: 1rem;
}

.buttons-container {
    margin-top: 2rem;
}
